VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
ViewCreatorRegistry Class Reference
Inheritance diagram for ViewCreatorRegistry:

## Public Types
using | const_iterator = ViewCreatorRegistryMap::const_iterator

## Public Member Functions
const_iterator | begin ()
const_iterator | end ()
const_iterator | find (IdStringPtr name)
void | add (IdStringPtr name, const IViewCreator *viewCreator)
void | remove (const IViewCreator *viewCreator)

## Member Typedef Documentation

## ◆ const_iterator

using const_iterator = ViewCreatorRegistryMap::const_iterator

## Member Function Documentation

## ◆ add()

void add | ( | IdStringPtr | name,
|  | const IViewCreator * | viewCreator )
| inline

## ◆ begin()

const_iterator begin | ( |  | ) |
| inline

## ◆ end()

const_iterator end | ( |  | ) |
| inline

## ◆ find()

const_iterator find | ( | IdStringPtr | name | ) |
| inline

## ◆ remove()

void remove | ( | const IViewCreator * | viewCreator | ) |
| inline

The documentation for this class was generated from the following file:

- uiviewfactory.cpp